Package de.gebit.integrity.services

## Class DSLGrammarAccess.ConstantDefinitionElements

- java.lang.Object
- - org.eclipse.xtext.service.AbstractElementFinder
  - - org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder
    - - de.gebit.integrity.services.DSLGrammarAccess.ConstantDefinitionElements

- All Implemented Interfaces:
    `org.eclipse.xtext.IGrammarAccess.IAbstractRuleAccess`, `org.eclipse.xtext.IGrammarAccess.IParserRuleAccess`
  Enclosing class:
    DSLGrammarAccess

      public class DSLGrammarAccess.ConstantDefinitionElements
      extends org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.xtext.service.AbstractElementFinder

      `org.eclipse.xtext.service.AbstractElementFinder.AbstractEnumRuleElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractGrammarElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ConstantDefinitionElements()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.eclipse.xtext.Keyword` | `getConstantKeyword_2()` |
    `org.eclipse.xtext.Assignment` | `getDocumentationAssignment_0()` |
    `org.eclipse.xtext.RuleCall` | `getDocumentationDocumentationCommentParserRuleCall_0_0()` |
    `org.eclipse.xtext.Group` | `getGroup()` |
    `org.eclipse.xtext.Group` | `getGroup_6()` |
    `org.eclipse.xtext.Group` | `getGroup_6_0()` |
    `org.eclipse.xtext.Group` | `getGroup_6_1()` |
    `org.eclipse.xtext.Group` | `getGroup_7()` |
    `org.eclipse.xtext.Assignment` | `getNameAssignment_4()` |
    `org.eclipse.xtext.RuleCall` | `getNameConstantEntityParserRuleCall_4_0()` |
    `org.eclipse.xtext.RuleCall` | `getNLParserRuleCall_3()` |
    `org.eclipse.xtext.RuleCall` | `getNLParserRuleCall_5()` |
    `org.eclipse.xtext.RuleCall` | `getNLParserRuleCall_6_0_1()` |
    `org.eclipse.xtext.RuleCall` | `getNLParserRuleCall_6_1_1()` |
    `org.eclipse.xtext.RuleCall` | `getNLParserRuleCall_7_1()` |
    `org.eclipse.xtext.Assignment` | `getParameterizedAssignment_7_0()` |
    `org.eclipse.xtext.Keyword` | `getParameterizedParameterizedKeyword_7_0_0()` |
    `org.eclipse.xtext.Assignment` | `getPrivateAssignment_1()` |
    `org.eclipse.xtext.Keyword` | `getPrivatePrivateKeyword_1_0()` |
    `org.eclipse.xtext.ParserRule` | `getRule()` |
    `org.eclipse.xtext.Assignment` | `getValueAssignment_6_0_0()` |
    `org.eclipse.xtext.RuleCall` | `getValueValueOrEnumValueOrOperationCollectionParserRuleCall_6_0_0_0()` |
    `org.eclipse.xtext.Assignment` | `getVariantValuesAssignment_6_1_0()` |
    `org.eclipse.xtext.RuleCall` | `getVariantValuesVariantValueParserRuleCall_6_1_0_0()` |

    - ### Methods inherited from class org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder

      `getRules`

    - ### Methods inherited from class org.eclipse.xtext.service.AbstractElementFinder

      `findAssignments, findByNestedRuleCall, findCrossReferences, findCrossReferences, findKeywordPairs, findKeywords, findRuleCalls`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConstantDefinitionElements

          public ConstantDefinitionElements()

  - ### Method Detail

    - #### getRule

          public org.eclipse.xtext.ParserRule getRule()

    - #### getGroup

          public org.eclipse.xtext.Group getGroup()

    - #### getDocumentationAssignment_0

          public org.eclipse.xtext.Assignment getDocumentationAssignment_0()

    - #### getDocumentationDocumentationCommentParserRuleCall_0_0

          public org.eclipse.xtext.RuleCall getDocumentationDocumentationCommentParserRuleCall_0_0()

    - #### getPrivateAssignment_1

          public org.eclipse.xtext.Assignment getPrivateAssignment_1()

    - #### getPrivatePrivateKeyword_1_0

          public org.eclipse.xtext.Keyword getPrivatePrivateKeyword_1_0()

    - #### getConstantKeyword_2

          public org.eclipse.xtext.Keyword getConstantKeyword_2()

    - #### getNLParserRuleCall_3

          public org.eclipse.xtext.RuleCall getNLParserRuleCall_3()

    - #### getNameAssignment_4

          public org.eclipse.xtext.Assignment getNameAssignment_4()

    - #### getNameConstantEntityParserRuleCall_4_0

          public org.eclipse.xtext.RuleCall getNameConstantEntityParserRuleCall_4_0()

    - #### getNLParserRuleCall_5

          public org.eclipse.xtext.RuleCall getNLParserRuleCall_5()

    - #### getGroup_6

          public org.eclipse.xtext.Group getGroup_6()

    - #### getGroup_6_0

          public org.eclipse.xtext.Group getGroup_6_0()

    - #### getValueAssignment_6_0_0

          public org.eclipse.xtext.Assignment getValueAssignment_6_0_0()

    - #### getValueValueOrEnumValueOrOperationCollectionParserRuleCall_6_0_0_0

          public org.eclipse.xtext.RuleCall getValueValueOrEnumValueOrOperationCollectionParserRuleCall_6_0_0_0()

    - #### getNLParserRuleCall_6_0_1

          public org.eclipse.xtext.RuleCall getNLParserRuleCall_6_0_1()

    - #### getGroup_6_1

          public org.eclipse.xtext.Group getGroup_6_1()

    - #### getVariantValuesAssignment_6_1_0

          public org.eclipse.xtext.Assignment getVariantValuesAssignment_6_1_0()

    - #### getVariantValuesVariantValueParserRuleCall_6_1_0_0

          public org.eclipse.xtext.RuleCall getVariantValuesVariantValueParserRuleCall_6_1_0_0()

    - #### getNLParserRuleCall_6_1_1

          public org.eclipse.xtext.RuleCall getNLParserRuleCall_6_1_1()

    - #### getGroup_7

          public org.eclipse.xtext.Group getGroup_7()

    - #### getParameterizedAssignment_7_0

          public org.eclipse.xtext.Assignment getParameterizedAssignment_7_0()

    - #### getParameterizedParameterizedKeyword_7_0_0

          public org.eclipse.xtext.Keyword getParameterizedParameterizedKeyword_7_0_0()

    - #### getNLParserRuleCall_7_1

          public org.eclipse.xtext.RuleCall getNLParserRuleCall_7_1()